package agenda.console;

import java.util.List;

import agenda.api.Agenda;
import agenda.api.Conference;

public class ConsoleClient {
	private volatile Agenda agenda;

	public void addConference(String name, String location) {
		agenda.addConference(name, location);
	}

	public void listConferences() {
		List<Conference> conferences = agenda.listConferences();
		if (conferences != null) {
			for (Conference conference : conferences) {
				System.out.println(conference);
			}
		} else {
			System.out.println("Agenda not available");
		}
	}
}
