package agenda.simple;

import java.util.List;
import java.util.concurrent.CopyOnWriteArrayList;

import agenda.api.Agenda;
import agenda.api.Conference;

public class SimpleAgendaService implements Agenda {
    private List<Conference> conferences = new CopyOnWriteArrayList<>();
    
    @Override
	public void addConference(String name, String location) {
		conferences.add(new Conference(name, location));
	}

    @Override
	public List<Conference> listConferences() {
	   return conferences;
	}
    
    public void start() {
    	addConference("JavaOne", "SFO");
    	addConference("JavaLand", "Bruehl");
    	System.out.println("Added 2 conferences.");
    }
}

